### Method

# GioUnix DesktopAppInfoLookup get_default_for_uri_scheme

deprecated: 2.28

#### Declaration [src]

    GAppInfo*
    g_desktop_app_info_lookup_get_default_for_uri_scheme (
      GDesktopAppInfoLookup* lookup,
      const char* uri_scheme
    )

#### Description [src]

Gets the default application for launching applications using this URI scheme for a particular `GDesktopAppInfoLookup` implementation.

The `GDesktopAppInfoLookup` interface and this function is used to implement `g_app_info_get_default_for_uri_scheme()` backends in a GIO module. There is no reason for applications to use it directly. Applications should use `g_app_info_get_default_for_uri_scheme()`.

Deprecated since: 2.28

The `GDesktopAppInfoLookup` interface is deprecated and unused by GIO.

#### Parameters

`uri_scheme`

  Type: `const char*`

  A string containing a URI scheme.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GAppInfo`

`GAppInfo` for given `uri_scheme` or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.